OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_ByteArray Class Reference

`#include <PDataStd_ByteArray.hxx>`

Inheritance diagram for PDataStd_ByteArray:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_ByteArray ()
Standard_EXPORT void | Set (const Handle(PColStd_HArray1OfInteger)&values)
Standard_EXPORT const Handle_PColStd_HArray1OfInteger & | Get () const
| PDataStd_ByteArray (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfInteger) _CSFDB_GetPDataStd_ByteArraymyValues() const
void | _CSFDB_SetPDataStd_ByteArraymyValues (const Handle(PColStd_HArray1OfInteger)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PColStd_HArray1OfInteger | myValues

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_ByteArray::PDataStd_ByteArray | ( |  | ) |

PDataStd_ByteArray::PDataStd_ByteArray | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_ByteArray::_CSFDB_SetPDataStd_ByteArraymyValues | ( | const Handle(PColStd_HArray1OfInteger)& | p | ) | `[inline]`

Standard_EXPORT const Handle_PColStd_HArray1OfInteger& PDataStd_ByteArray::Get | ( |  | ) | const

Standard_EXPORT const PDataStd_ByteArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_ByteArray::Handle | ( | PColStd_HArray1OfInteger |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_ByteArray::Set | ( | const Handle(PColStd_HArray1OfInteger)& | values | ) |

## Field Documentation

Handle_PColStd_HArray1OfInteger PDataStd_ByteArray::myValues`[private]`

The documentation for this class was generated from the following file:

- PDataStd_ByteArray.hxx